## org.apache.mahout.math.decomposer.hebbian
Class HebbianUpdater

    java.lang.Object
      org.apache.mahout.math.decomposer.hebbian.HebbianUpdater

All Implemented Interfaces:
  EigenUpdater

    public class HebbianUpdater

extends Object
implements EigenUpdater

Constructor Summary
`HebbianUpdater()`

Method Summary
`void` `update(Vector pseudoEigen, Vector trainingVector, TrainingState currentState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HebbianUpdater

    public HebbianUpdater()

Method Detail

### update

    public void update(Vector pseudoEigen,
                       Vector trainingVector,
                       TrainingState currentState)

  Specified by:
    `update` in interface `EigenUpdater`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.